#ifndef DEBUG_HPP_INCLUDED
#define DEBUG_HPP_INCLUDED

#include "../../Include/Core/Types/Logger.hpp"

class Debug
{
    public:
        static Logger Info;
        static Logger Verbose;
        static Logger Warning;
        static Logger Error;
        static Logger Fatal;
        static Logger Internal;
        static Logger Paint;

        static void ShowConsole();
        static void HideConsole();
        static void SetVerbose(bool Toggle);

        static void EnableInput();
        static void DisableInput();
};


#endif // DEBUG_HPP_INCLUDED
